#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 quickcheck-instances
version:              0.3.29
visibility:           public
id:                   quickcheck-instances-0.3.29-2xPhCZu1IQRA1XnzPFgMRa
key:                  quickcheck-instances-0.3.29-2xPhCZu1IQRA1XnzPFgMRa
license:              BSD-3-Clause
copyright:            Copyright 2012-2016 Antoine Latter, 2017-2019 Oleg Grenrus
maintainer:           Oleg Grenrus <oleg.grenrus@iki.fi>
author:
    Antoine Latter <aslatter@gmail.com>, Oleg Grenrus <oleg.grenrus@iki.fi>

homepage:             https://github.com/haskellari/qc-instances
synopsis:             Common quickcheck instances
description:
    QuickCheck instances.

    The goal is to supply QuickCheck instances for
    types provided by the Haskell Platform.

    Since all of these instances are provided as
    orphans, I recommend that you do not use this library
    within another library module, so that you don'\''t
    impose these instances on down-stream consumers of
    your code.

    For information on writing a test-suite with Cabal
    see <https://www.haskell.org/cabal/users-guide/developing-packages.html#test-suites>

category:             Testing
abi:                  f9b0a16e5d3ab1f79ab3774b373f573c
exposed:              True
exposed-modules:
    Test.QuickCheck.Instances Test.QuickCheck.Instances.Array
    Test.QuickCheck.Instances.Array.Byte
    Test.QuickCheck.Instances.ByteString
    Test.QuickCheck.Instances.CaseInsensitive
    Test.QuickCheck.Instances.Containers
    Test.QuickCheck.Instances.DataFix
    Test.QuickCheck.Instances.Hashable
    Test.QuickCheck.Instances.Natural Test.QuickCheck.Instances.OldTime
    Test.QuickCheck.Instances.Primitive
    Test.QuickCheck.Instances.Scientific
    Test.QuickCheck.Instances.Semigroup Test.QuickCheck.Instances.Solo
    Test.QuickCheck.Instances.Strict Test.QuickCheck.Instances.Tagged
    Test.QuickCheck.Instances.Text Test.QuickCheck.Instances.Text.Short
    Test.QuickCheck.Instances.These Test.QuickCheck.Instances.Time
    Test.QuickCheck.Instances.Transformer
    Test.QuickCheck.Instances.UUID
    Test.QuickCheck.Instances.UnorderedContainers
    Test.QuickCheck.Instances.Vector Test.QuickCheck.Instances.Void

hidden-modules:       Test.QuickCheck.Instances.CustomPrelude
import-dirs:          /usr/lib/ghc-9.0.2/site-local/quickcheck-instances-0.3.29
library-dirs:         /usr/lib/ghc-9.0.2/site-local/quickcheck-instances-0.3.29
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-quickcheck-instances
hs-libraries:         HSquickcheck-instances-0.3.29-2xPhCZu1IQRA1XnzPFgMRa
depends:
    OneTuple-0.3.1-LnQGPtnnCVNFCCRGCPaKFz
    QuickCheck-2.14.2-EAx6IUCFVQCE8r065a1ZqB array-0.5.4.0
    base-4.15.1.0 bytestring-0.10.12.1
    case-insensitive-1.2.1.0-3tWIs3IsQnw8bOtIxY7AE8 containers-0.6.4.1
    data-array-byte-0.1.0.1-APwkiESMUg98oGU13nAwKM
    data-fix-0.3.2-IhgxyxVhVpR5KgWhpMpWMn
    hashable-1.4.2.0-FGfJ6SPjJOQC6UzILfUyUL
    integer-logarithms-1.0.3.1-5kS6jNbEsIJGKjr4VAkZqE
    old-time-1.1.0.3-B4Ro2AUl5kn1VzPHPQkaoe
    primitive-0.7.4.0-JO2L1m8yKpKHqM3qF2iOEl
    scientific-0.3.7.0-KZYGAHYQkSEK2WIE8SfK3K
    splitmix-0.1.0.4-99qdmMgcrzW3bEqD5Ed8jU
    strict-0.4.0.1-2lAdM6d7fXZEZdaqrQGYn
    tagged-0.8.7-8MQxDldL1qw9fJF5LZxnpf text-1.2.5.0
    text-short-0.1.5-GxyywXzts1yHnvoF0wgZ0b
    these-1.1.1.1-KnRNqJxYXlb8YM2LZ8plRm time-1.9.3
    time-compat-1.9.6.1-CK1VNkwEhf4A19wNTypOnm transformers-0.5.6.2
    transformers-compat-0.7.2-ZzSHjvD4flB2ChCq5TVbH
    unordered-containers-0.2.19.1-IiLQZF6DbPQFjcFD1585i8
    uuid-types-1.0.5-4akvPTKl6mu4eCwHvDlQY1
    vector-0.13.0.0-Ig05MaAMeBqj8G3IIQCIl

haddock-interfaces:
    /usr/share/doc/haskell-quickcheck-instances/html/quickcheck-instances.haddock

haddock-html:         /usr/share/doc/haskell-quickcheck-instances/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

